#!/bin/bash

checkContinue() {

    if [ $interactive -ne 0 ] 
	then
	echo "Executing $1. Continue (y/n) ? [n]"
	read continue
	if [ "$continue" != "y" ]
	    then 
	    exit
	fi
    else 
	echo "Executing $1."
    fi

}


if [ $# -lt 4 ] 
then 
    echo "Usage: runall.sh [-i] <testgODBC exec> <config file> <test cases dir> <test suite>" 
    exit
fi

interactive=0

while getopts "i" Option 

do 
  case $Option in 
      i ) interactive=1; echo "Running in interactive mode"; shift ;;
  esac 
done 

echo "$OPTIND $1, $2, $3"

testgODBC=$1
config=$2
testCaseDir=$3
testSuite=$4
continue="n"

testCases=`cat $testSuite`


while [ -n "$testCases" ] ; 
  do { 

      tcLen=`expr length "$testCases"`

      #get the next test case name  
      line=`expr "$testCases" : '\( *[^[:space:]]*\)'`

      lineLen=`expr length $line`
      lineLen=`expr $lineLen + 1`
      #remove spaces 
      line=${line// */}

      # ask user if we want to continue
      checkContinue $line
      
      #carry out the test
      echo $testgODBC par=$config $testCaseDir/$line
      $testgODBC par=$config $testCaseDir/$line
      
      #chop off testcase name we executed from $testCases. 
      testCases=${testCases:$lineLen}
      echo "Remaining testCases:$testCases."
      testCases=${testCases## *}
  }
done

# checkContinue "DropTables"
# 
# testgODBC par=$config $testCaseDir/DropTables.txt
# 
# checkContinue  "CreateTables"
# 
# testgODBC par=$config $testCaseDir/CreateTables.txt
# 
# checkContinue "InsertTables"
# 
# testgODBC par=$config $testCaseDir/InsertTables.txt
# 
# checkContinue "CountTables"
# 
# testgODBC par=$config $testCaseDir/CountTables.txt
# 
# checkContinue  "Query"
# 
# testgODBC par=$config $testCaseDir/Query.txt
# 
# checkContinue  "UpdateTables"
# 
# testgODBC par=$config $testCaseDir/UpdateTables.txt
# 
# checkContinue "UpdateWhere"
# 
# testgODBC par=$config $testCaseDir/UpdateWhere.txt
# 
# checkContinue  "DeleteTables"
# 
# testgODBC par=$config $testCaseDir/DeleteTables.txt
# 
# checkContinue  "GetSchema"
# 
# testgODBC par=$config $testCaseDir/GetSchema.txt
#  
