/*
 * FILE NAME  idcstream_automatic.h
 *
 *
 * SYNOPSIS
 *      Prototypes and constants for the automatic processing
 *      applications using the libidcstream.a and libidcstreamlog.a
 *      libraries.
 *
 * AUTHORS
 *
 *      Martin Ertl (2016-01-10)
 *
 * MODIFICATIONS
 *
 */

#ifndef IDCSTREAM_AUTOMATIC_H
#define IDCSTREAM_AUTOMATIC_H

#include "idcstreamlog.h"

/*** Macro definitions ******************************************************/

#define prclog (*idcstreamlog_get_prclog())
#define applog (*idcstreamlog_get_applog(NULL))

/*** Type definitions *******************************************************/

typedef	struct idcstream_automatic_par_ idcstream_automatic_par_t;

/*** Global objects *********************************************************/

struct idcstream_automatic_par_
{
        char    *errlog_priority;       /* def="* dg3-emg" */
        char    *outlog_priority;       /* def="* off" */
        char    *syslog_priority;       /* def="* ifo-emg" */
        char    *syslogid;              /* def=NULL */
};

/*** Prototypes *************************************************************/

void idcstream_automatic_setup_par(const int argc, const char **argv);
void idcstream_automatic_start();
void idcstream_automatic_teardown();

#endif
