#ifndef _INIT_H
#define _INIT_H

/**
 * @author    Gerald Klinkl
 *
 * Revision 1.5  2014-07-28 gerald
 * Don't consider beams if channel name is not set
 *
 * Revision 1.4  2013-03-25 gerald
 * Fix include dependencies
 */

#include "cd_common.h"

/* ==== Data structures ===================================================== */

#define CD_BEAM_NAME  "beam"

/* ==== Prototypes ========================================================== */

extern void setSensorDescr (/*@null@*//*@owned@*/sensor_t *sensorDesc,
                            int sensorTableCount, const char *appName);
/*@only@*//*@null@*/ extern sensor_t *
loadSensorFromFile(const char *appName, const char *sensorFile,
                 /*@out@*/int *sensorTableCount);
/*@null@*//*@dependent@*/ extern sensor_t *
getSensorDescr(const char *extern_sta, const char *extern_chan);
extern int readStationFile(configParams_t *pConfigData, const char *appName);
extern void processConfiguration(configParams_t *pConfigData, const int app,
                                 const char *appName);
extern int16_t
getAllChannelNames(const char *site, const char *channel,
                   /*@special@*/char *scNames[], int maxNamesCached,
                   sensor_t **sensorInfo);
extern uint16_t getChannelCount(const char *stream);
/*@dependent@*//*@null@*/ extern sensor_t *
getSensorDescrByStation (const char *sta, const char *extern_chan, int *index);
/*@null@*//*@dependent@*/extern sensor_t *
getSensorDescrWithIndex (const char *sta, const char *extern_chan, int *index);

#endif /* _INIT_H */
