#ifndef _READWRITE_H
#define _READWRITE_H

#include "events.h"
#include "errno.h"

/**
 * @author    Gerald Klinkl, Siemens Austria
 * @version   $Revision: 1.3 $
 * @date      $Date: 2010-03-25 14:33:47 $
 */

#ifndef MAX_READ_RETRIES
/* Configure with CCPFLAGS=-DMAX_READ_RETRIES=12 when using a forwarder
   configuration with receiver and sender on different hosts. Keep in
   mind that this type of configuration is *not* recommended */
  #define MAX_READ_RETRIES 10
#endif

/* ==== Function prototypes ================================================= */

extern int readCDframe(station_t *pStation, CDevent_t *actEvent,
                       rwFlags_t *flags, /*@out@*/uint16_t *event,
                       /*@out@*/char *clfType);
extern int32_t binRead(/*@out@*/char *buffer, uint32_t size, FILE *fp,
                       long offset, /*@null@*/station_t *pStation,
                       char *stationName, char *fileName, int waitTime);
extern int checkParsingAndAuthentication(station_t *pStation, uint16_t *event,
                                         uint16_t *eventType, char *clfType);

#endif /* _READWRITE_H */
