
#ifndef _LIBLP_H_
#define _LIBLP_H_

#include "aesir.h"	/* For Proto definition. */

Proto (extern int, read_LP_info, (	char	*lp_pathway));

Proto (extern double, get_LP_velocity, (int	ilat,
					int	ilon,
					double	period,
					int	ph_index));

Proto (extern double, LP_trace_ray, (	double	ev_lat,
					double	ev_lon,
					double	sta_lat,
					double	sta_lon,
					int	ph_index,
					double	period));

Proto (extern double *, LP_trace_rays,(	double	ev_lat,
					double	ev_lon,
					double	sta_lat,
					double	sta_lon,
					int	ph_index,
					double	*period,
					int	nperiod));

Proto (extern int, get_LP_grid_index, (
					double	*geoc_co_lat,
					double	east_lon,
					int	ph_index,
					double	azimuth));

Proto (extern int, get_LP_grid_index_int, (
					int ilat,
					int ilon,
					int ph_index));

Proto (extern double, dist_given_2angles_plus_side, (
					double	angle_wrt_to_baz,
					double	angle_wrt_to_azi,
					double	side_between_angles));

Proto (extern double, dist_given_azi_plus_2sides, (
					double	azi,
					double	co_lat1,
					double	co_lat2,
					double	lon,
					double	*new_lon));

Proto (extern void, geoc_distaz, (	double	alat1,
					double	alon1,
					double	alat2,
					double	alon2,
					double	*delta,
					double	*azi,
					double	*baz,
					int	phase_index));

Proto (extern void, geoc_lat_lon, (	double	alat1,
					double	alon1,
					double	delta,
					double	azi,
					double	*alat2,
					double	*alon2));

Proto (extern void, set_LP_vel_files, (	char *LR_file,
					char *LQ_file));

Proto (extern void, set_LP_grid_files,(	char *LR_file,
					char *LQ_file));

Proto (extern void, set_LP_grid_file, (	char *grid_file, char *vel_file));
Proto (extern void, set_LP_comp_file, (	char *comp_file));

Proto (extern void, add_LP_grid_file, (	char *grid_file, char *vel_file));
Proto (extern void, add_LP_comp_file, (	char *comp_file));

Proto (extern int, read_compiled_file,  ( char *lp_pathway, char *LR_file, int ph_index));
Proto (extern int, write_compiled_file, ( char *lp_pathway, char *LR_file, int ph_index));

Proto (extern double *, get_LP_velocities, ( double lat, 
					     double lon, 
					     int ph_index, 
					     double *period, 
					     int nperiod));

Proto (extern double *, get_LP_periods, (int ph_index, 
					 int *nperiod));

Proto (extern void, get_LP_grid_limits,(int ph_index,
					int *nlat,
					int *nlon,
					int *nperiod,
					int *nmodel));

typedef struct _RAY_Data {
	int ilat;
	int ilon;
	int igrid;	/* Grid (model) number */
	double dist;	/* Distance crossed in grid cell */
	double value;	/* Velocity or other parameter in grid cell */
} RAY_Data;

Proto (extern RAY_Data *, LP_trace_ray_grid, (double ev_lat, 
					      double ev_lon, 
					      double sta_lat, 
					      double sta_lon,
					      int ph_index, 
					      int *ngrid,
					      double period));

Proto (extern void, set_quadinterp, (int usequad));

Proto (extern void, set_LP_debug, (int debug));

Proto (extern int, get_LP_debug, (void));

Proto (extern void, LP_quadinterp_f,
       (double *x0, double *y0, int n0, double *fx1, int n1, float *fy1 ));

#endif /* _LIBLP_H_ */


